Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Class DocFlavor.URL

    java.lang.Object
      |
      +--javax.print.DocFlavor
            |
            +--javax.print.DocFlavor.URL

All Implemented Interfaces:
  Cloneable, Serializable

Enclosing class:
  DocFlavor

public static class DocFlavor.URL
extends DocFlavor

Class DocFlavor.URL provides predefined static constant DocFlavor objects. For example doc flavors using a Uniform Resource Locator (``java.net.URL``) as the print data representation class.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.print.DocFlavor
`DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`

Field Summary
`static DocFlavor.URL` | `AUTOSENSE` Doc flavor with MIME type = `"application/octet-stream"`, print data representation class name = `"java.net.URL"`.
`static DocFlavor.URL` | `GIF` Doc flavor with MIME type = `"image/gif"`, print data representation class name = `"java.net.URL"`.
`static DocFlavor.URL` | `JPEG` Doc flavor with MIME type = `"image/jpeg"`, print data representation class name = `"java.net.URL"`.
`static DocFlavor.URL` | `PCL` Doc flavor with MIME type = `"application/vnd.hp-PCL"`, print data representation class name = `"java.net.URL"`.
`static DocFlavor.URL` | `PDF` Doc flavor with MIME type = `"application/pdf"`, print data representation class name = `"java.net.URL"`.
`static DocFlavor.URL` | `PNG` Doc flavor with MIME type = `"image/png"`, print data representation class name = `"java.net.URL"`.
`static DocFlavor.URL` | `POSTSCRIPT` Doc flavor with MIME type = `"application/postscript"`, print data representation class name = `"java.net.URL"`.
`static DocFlavor.URL` | `TEXT_HTML_HOST` Doc flavor with MIME type = `"text/html"`, encoded in the host platform encoding.
`static DocFlavor.URL` | `TEXT_HTML_US_ASCII` Doc flavor with MIME type = `"text/html; charset=us-ascii"`, print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_HTML_UTF_16` Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_HTML_UTF_16BE` Doc flavor with MIME type = `"text/html; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_HTML_UTF_16LE` Doc flavor with MIME type = `"text/html; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_HTML_UTF_8` Doc flavor with MIME type = `"text/html; charset=utf-8"`, print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_PLAIN_HOST` Doc flavor with MIME type = `"text/plain"`, encoded in the host platform encoding.
`static DocFlavor.URL` | `TEXT_PLAIN_US_ASCII` Doc flavor with MIME type = `"text/plain; charset=us-ascii"`, print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_PLAIN_UTF_16` Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `java.net.URL""` (byte stream).
`static DocFlavor.URL` | `TEXT_PLAIN_UTF_16BE` Doc flavor with MIME type = `"text/plain; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_PLAIN_UTF_16LE` Doc flavor with MIME type = `"text/plain; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).
`static DocFlavor.URL` | `TEXT_PLAIN_UTF_8` Doc flavor with MIME type = `"text/plain; charset=utf-8"`, print data representation class name = `"java.net.URL"` (byte stream).

Fields inherited from class javax.print.DocFlavor
`hostEncoding`

Constructor Summary
`DocFlavor.URL(String mimeType)` Constructs a new doc flavor with the given MIME type and a print data representation class name of `"java.net.URL"`.

Methods inherited from class javax.print.DocFlavor
`equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_PLAIN_HOST

    public static final DocFlavor.URL TEXT_PLAIN_HOST

  Doc flavor with MIME type = `"text/plain"`, encoded in the host platform encoding. See ``hostEncoding`` Print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_PLAIN_UTF_8

    public static final DocFlavor.URL TEXT_PLAIN_UTF_8

  Doc flavor with MIME type = `"text/plain; charset=utf-8"`, print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_PLAIN_UTF_16

    public static final DocFlavor.URL TEXT_PLAIN_UTF_16

  Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `java.net.URL""` (byte stream).

### TEXT_PLAIN_UTF_16BE

    public static final DocFlavor.URL TEXT_PLAIN_UTF_16BE

  Doc flavor with MIME type = `"text/plain; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_PLAIN_UTF_16LE

    public static final DocFlavor.URL TEXT_PLAIN_UTF_16LE

  Doc flavor with MIME type = `"text/plain; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_PLAIN_US_ASCII

    public static final DocFlavor.URL TEXT_PLAIN_US_ASCII

  Doc flavor with MIME type = `"text/plain; charset=us-ascii"`, print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_HTML_HOST

    public static final DocFlavor.URL TEXT_HTML_HOST

  Doc flavor with MIME type = `"text/html"`, encoded in the host platform encoding. See ``hostEncoding`` Print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_HTML_UTF_8

    public static final DocFlavor.URL TEXT_HTML_UTF_8

  Doc flavor with MIME type = `"text/html; charset=utf-8"`, print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_HTML_UTF_16

    public static final DocFlavor.URL TEXT_HTML_UTF_16

  Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_HTML_UTF_16BE

    public static final DocFlavor.URL TEXT_HTML_UTF_16BE

  Doc flavor with MIME type = `"text/html; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_HTML_UTF_16LE

    public static final DocFlavor.URL TEXT_HTML_UTF_16LE

  Doc flavor with MIME type = `"text/html; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"java.net.URL"` (byte stream).

### TEXT_HTML_US_ASCII

    public static final DocFlavor.URL TEXT_HTML_US_ASCII

  Doc flavor with MIME type = `"text/html; charset=us-ascii"`, print data representation class name = `"java.net.URL"` (byte stream).

### PDF

    public static final DocFlavor.URL PDF

  Doc flavor with MIME type = `"application/pdf"`, print data representation class name = `"java.net.URL"`.

### POSTSCRIPT

    public static final DocFlavor.URL POSTSCRIPT

  Doc flavor with MIME type = `"application/postscript"`, print data representation class name = `"java.net.URL"`.

### PCL

    public static final DocFlavor.URL PCL

  Doc flavor with MIME type = `"application/vnd.hp-PCL"`, print data representation class name = `"java.net.URL"`.

### GIF

    public static final DocFlavor.URL GIF

  Doc flavor with MIME type = `"image/gif"`, print data representation class name = `"java.net.URL"`.

### JPEG

    public static final DocFlavor.URL JPEG

  Doc flavor with MIME type = `"image/jpeg"`, print data representation class name = `"java.net.URL"`.

### PNG

    public static final DocFlavor.URL PNG

  Doc flavor with MIME type = `"image/png"`, print data representation class name = `"java.net.URL"`.

### AUTOSENSE

    public static final DocFlavor.URL AUTOSENSE

  Doc flavor with MIME type = `"application/octet-stream"`, print data representation class name = `"java.net.URL"`. The client must determine that data described using this DocFlavor is valid for the printer.

Constructor Detail

### DocFlavor.URL

    public DocFlavor.URL(String mimeType)

  Constructs a new doc flavor with the given MIME type and a print data representation class name of `"java.net.URL"`.

Parameters:
  `mimeType` - MIME media type string.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `mimeType` is null.
  `IllegalArgumentException` - (unchecked exception) Thrown if `mimeType` does not obey the syntax for a MIME media type string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.